LINUX.ORG.RU

Ошибка в Debian

 


1

1

Чтение списков пакетов… Готово Построение дерева зависимостей
Чтение информации о состоянии… Готово Вы можете запустить «apt –fix-broken install» для исправления этих ошибок. Следующие пакеты имеют неудовлетворённые зависимости: libwebkitgtk-3.0-0 : Зависит: libegl1-mesa (>= 7.8.1) но он не будет установлен или libegl1-x11 но он не может быть установлен E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt –fix-broken install», не указывая имени пакета (или указав решение).

Что это и как с этим жить? данная ошибка появляется про попытке обновит хром

Тебе ясно написано. Это значит, что ты доустанавливался и «сломал систему». И пока не починишь, не установишь вообще ничего. Как починить, тебе сказано. Зависит, насколько поломал и от везения. Если не повезет, то придется переустанавливать. Это самый надежный вариант. Зачастую и самый быстрый. Второй гарантированный и быстрый вариант - восстановление из бэкапа.

andytux ★★ ()
Ответ на: комментарий от andytux

Это значит, что ты доустанавливался и «сломал систему» - обновляя хром можно положить систему? или я что то не понял?

sudo apt-get install google-chrome-stable использовал данную команду..

единственное не могу сказать ранее хром был установлен из репозитория или отдельным пакетом..

Mattafix ()
Ответ на: комментарий от Mattafix

«Неудовлетворенные зависимости», «сломанные пакеты» - все форумы исписаны этим фразами.

Не потому, что хром или другая программа. А потому, что «левая». В данном контексте, «левая» - это все, кроме родного репозитория данной, конкретной системы, данной, конкретной версии.

andytux ★★ ()

У меня Debian 10, только что запустил обновление списка пакетов и затем обновление самих пакетов, всё прекрасно обновилось в том числе и google chrome.

Покажи содержимое файла /etc/apt/sources.list и всех файлов в директории /etc/apt/sources.list.d.

И используй разметку для форматирования сообщения. Вот ссылка с описанием разметки: https://www.linux.org.ru/help/markdown.md

Перед помещением сообщения нажми кнопку «Предпросмотр» и удостоверься, что твоё сообщение читается нормально.

Можешь воспользоваться pastebin сервисом и выложить содержимое файлов через него, а сюда поместить ссылку.

anonymous ()
Ответ на: комментарий от anonymous

У меня Debian 10, только что запустил обновление списка пакетов и затем обновление самих пакетов, всё прекрасно обновилось в том числе и google chrome. —- У меня стоит 11 дебиан тестовый релиз и пакеты зависимостей отличаются и по этому он ругался

Mattafix ()